Vote (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class Vote

- java.lang.Object
- - org.apache.zookeeper.server.quorum.Vote

-     public class Vote
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vote(int version, long id, long zxid, long electionEpoch, long peerEpoch, QuorumPeer.ServerState state)`
    `Vote(long id, long zxid)`
    `Vote(long id, long zxid, long peerEpoch)`
    `Vote(long id, long zxid, long electionEpoch, long peerEpoch)`
    `Vote(long id, long zxid, long electionEpoch, long peerEpoch, QuorumPeer.ServerState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `long` | `getElectionEpoch()`
    `long` | `getId()`
    `long` | `getPeerEpoch()`
    `QuorumPeer.ServerState` | `getState()`
    `int` | `getVersion()`
    `long` | `getZxid()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Vote

          public Vote(long id,
                      long zxid)

    - #### Vote

          public Vote(long id,
                      long zxid,
                      long peerEpoch)

    - #### Vote

          public Vote(long id,
                      long zxid,
                      long electionEpoch,
                      long peerEpoch)

    - #### Vote

          public Vote(int version,
                      long id,
                      long zxid,
                      long electionEpoch,
                      long peerEpoch,
                      QuorumPeer.ServerState state)

    - #### Vote

          public Vote(long id,
                      long zxid,
                      long electionEpoch,
                      long peerEpoch,
                      QuorumPeer.ServerState state)

  - ### Method Detail

    - #### getVersion

          public int getVersion()

    - #### getId

          public long getId()

    - #### getZxid

          public long getZxid()

    - #### getElectionEpoch

          public long getElectionEpoch()

    - #### getPeerEpoch

          public long getPeerEpoch()

    - #### getState

          public QuorumPeer.ServerState getState()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.